Package org.apache.wiki.htmltowiki.syntax

# Class TextAreaDecorator

java.lang.Object
org.apache.wiki.htmltowiki.syntax.TextAreaDecorator

public abstract class TextAreaDecorator extends Object
Translates to wiki syntax from a `TEXTAREA` element.

## Field Summary

Fields
Modifier and Type
Field
Description
`protected final XHtmlElementToWikiTranslator`
`chain`
`protected final PrintWriter`
`out`

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`TextAreaDecorator(PrintWriter out, XHtmlElementToWikiTranslator chain)`

## Method Summary

Modifier and Type
Method
Description
`void`
`decorate(org.jdom2.Element e)`
Translates the given XHTML element into wiki markup.
`protected abstract String`
`markupForTextAreaAttribute(String attr, String value)`
Wiki markup for an `TEXTAREA`'s attribute.
`protected abstract String`
`markupTextAreaClose()`
Closing wiki markup for an `INPUT` element.
`protected abstract String`
`markupTextAreaOpen()`
Opening wiki markup for an `TEXTAREA` element.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### out

protected final PrintWriter out

### chain

protected final XHtmlElementToWikiTranslator chain

## Constructor Details

### TextAreaDecorator

protected TextAreaDecorator(PrintWriter out, XHtmlElementToWikiTranslator chain)

## Method Details

### decorate

public void decorate(org.jdom2.Element e) throws org.jdom2.JDOMException
Translates the given XHTML element into wiki markup.

Parameters:
  `e` - XHTML element being translated.
Throws:
  `org.jdom2.JDOMException`

### markupForTextAreaAttribute

protected abstract String markupForTextAreaAttribute(String attr, String value)
Wiki markup for an `TEXTAREA`'s attribute.

Parameters:
  `attr` - attribute's name.
  `value` - attribute's value.
Returns:
  Opening wiki markup for an `TEXTAREA` element.

### markupTextAreaOpen

protected abstract String markupTextAreaOpen()
Opening wiki markup for an `TEXTAREA` element.

Returns:
  Opening wiki markup for an `TEXTAREA` element.

### markupTextAreaClose

protected abstract String markupTextAreaClose()
Closing wiki markup for an `INPUT` element.

Returns:
  Closing wiki markup for an `INPUT` element.